Subject: Re: bug#24673: 25.1.50; Evaluating '((closure))' aborts Emacs

From: Philipp Stephani <[email-masked]>
Date: Thu, 13 Oct 2016 11:13:18 +0000

Eli Zaretskii <[email-masked]> schrieb am Do., 13. Okt. 2016 um 07:51 Uhr:

> > From: Philipp Stephani <[email-masked]>
>
> > Date: Wed, 12 Oct 2016 20:52:12 +0000
>
> >
>
> >  emacs -Q
>
> >
>
> >  M-x ((closure)) RET
>
> >
>
> >  => eval.c:2845: Emacs fatal error: assertion failed: CONSP (fun)
>
> >
>
> > Thanks for reporting, if nobody complains I'll push the attached patch
> to emacs-25.
>
>
>
> I'm okay with the eval.c patch being pushed to emacs-25, but please
>
> don't push the test there, push it to master instead (and to the
>
> appropriate directory), as merging tests from emacs-25 frequently
>
> produces problems due to the changes in directory structure.
>
>
>
OK, pushed a slight variant that signals invalid-function instead of
wrong-type-argument.